maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brett Porter <brett.por...@gmail.com>
Subject Re: Configuration Management with maven
Date Fri, 21 Jan 2005 04:50:00 GMT
On Thu, 20 Jan 2005 23:36:33 -0500, Eric Pugh <epugh@upstate.com> wrote:
> You are actually hitting on a relatively common issue.  Maven 1.x
> doesn't support multiple versions of plugins for example.  Future
> versions will.  So, once you start requiring specific versions, versus
> the latest and greatest always for all projects, then you can really
> have a lot of problems.

Erm, not completely true. If a project declares a dependency on a
particular version of a plugin, then that's what it gets. Any previous
ones are uninstalled at runtime, and the newer or older one is
installed for the new project. Once the project is done building, the
dependency is uninstalled and the original put back.

This hasn't been tested for how it works when a plugin depends on
another plugin, but I haven't seen a use case for that yet.

- Brett

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message